| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# IG::Num::MatrixExtensions Class Reference

Extension methods for IMatrix interface. More...

List of all members.

## Static Public Member Functions
static string | ToString (this IMatrix mat)
| Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.
static string | ToStringMath (this IMatrix mat)
| Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.
static string | ToString (this IMatrix mat, string elementFormat)
| Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.
static string | ToStringMath (this IMatrix mat, string elementFormat)
| Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.
static string | ToStringNewlines (IMatrix mat)
| Returns a string representation of the current matrix with newlines inserted after each row. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.
static string | ToStringNewlines (IMatrix mat, string elementFormat)
| Returns a string representation of the current matrix with newlines inserted after each row, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.
static string | ToStringMath1 (IMatrix mat)
| Returns string representation of the current matrix in the standard IGLib form (Mathematica-like format but with C representation of numbers). Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

## Detailed Description

Extension methods for IMatrix interface.

$A Igor Apr11;

## Member Function Documentation

static string IG::Num::MatrixExtensions::ToString | ( | this IMatrix | mat | ) | `[inline, static]`

Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToStringMath | ( | this IMatrix | mat | ) | `[inline, static]`

Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToString | ( | this IMatrix | mat,
|  | string | elementFormat
| ) |  | `[inline, static]`

Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToStringMath | ( | this IMatrix | mat,
|  | string | elementFormat
| ) |  | `[inline, static]`

Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToStringNewlines | ( | IMatrix | mat | ) | `[inline, static]`

Returns a string representation of the current matrix with newlines inserted after each row. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToStringNewlines | ( | IMatrix | mat,
|  | string | elementFormat
| ) |  | `[inline, static]`

Returns a string representation of the current matrix with newlines inserted after each row, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

static string IG::Num::MatrixExtensions::ToStringMath1 | ( | IMatrix | mat | ) | `[inline, static]`

Returns string representation of the current matrix in the standard IGLib form (Mathematica-like format but with C representation of numbers). Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters:

  mat | Matrix whose string representation is returned.

The documentation for this class was generated from the following file:

- MatrixBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events